// IRemoteLoopService.aidl
package com.microsoft.next.loop;
import com.microsoft.next.model.notification.AppNotification;
// Declare any non-default types here with import statements

interface IRemoteLoopService {
    /**
     * Demonstrates some basic types that you can use as parameters
     * and return values in AIDL.
     */
    void initialize(String appId);

    void unInitialize();

    boolean isLoopInitialized();

    void sendLaunchAppSignal(String name, String method, String appName, String combinedPackageName);

    void sendNotificationSignal(String name, String packageName, in AppNotification notification);

    void sendLocationSignal();
}
